## juk 18.08.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1 FATAL_ERROR)

# KDE Application Version, managed by KDE release team automatically
# https://community.kde.org/Guidelines_and_HOWTOs/Application_Versioning
set (KDE_APPLICATIONS_VERSION_MAJOR "18")
set (KDE_APPLICATIONS_VERSION_MINOR "08")
set (KDE_APPLICATIONS_VERSION_MICRO "1")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(juk VERSION ${KDE_APPLICATIONS_VERSION})

set(QT_MIN_VERSION "5.6.0")
set(KF5_MIN_VERSION "5.35.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(CMakePushCheckState)
include(CheckIncludeFileCXX)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Gui Svg Network Test Widgets)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Completion Config Crash GlobalAccel
	I18n IconThemes DocTools KIO JobWidgets Notifications TextWidgets XmlGui Wallet
	WidgetsAddons WindowSystem)
find_package(Phonon4Qt5 4.6.60 REQUIRED NO_MODULE)

find_package(Taglib 1.6 REQUIRED)

include_directories(${CMAKE_BINARY_DIR} ${PHONON_INCLUDES})

add_subdirectory( doc )
add_subdirectory( tests )
add_subdirectory( pics )

set_package_properties(FEATURE PROPERTIES DESCRIPTION "A library for developing MusicBrainz enabled tagging applications" URL "http://www.musicbrainz.org/products/tunepimp" TYPE OPTIONAL PURPOSE "Provides MusicBrainz tagging in Juk.")

# TODO: tunepimp is fully unsupported, replace this when tunepimp is replaced
# with whatever is actually current this decade.
set(HAVE_TUNEPIMP 0)

########### next target ###############

include_directories( ${TAGLIB_INCLUDES} )
add_definitions(-DQT_STL -DQT_NO_URL_CAST_FROM_STRING)

# Look for Ogg Opus support in taglib (not released yet)
cmake_push_check_state()
set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${TAGLIB_INCLUDES})
check_include_file_cxx(opusfile.h TAGLIB_HAS_OPUSFILE)
cmake_pop_check_state()

configure_file (config-juk.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-juk.h )

set(tunepimp_SRCS)
if(TUNEPIMP_FOUND)
	set(tunepimp_SRCS trackpickerdialog.cpp)
	include_directories( ${TUNEPIMP_INCLUDE_DIR} )
endif(TUNEPIMP_FOUND)	

set(juk_SRCS  ${tunepimp_SRCS}
   advancedsearchdialog.cpp
   slider.cpp
   svghandler.cpp
   volumepopupbutton.cpp
   actioncollection.cpp
   cache.cpp
   categoryreaderinterface.cpp
   collectionlist.cpp
   coverdialog.cpp
   covericonview.cpp
   coverinfo.cpp
   covermanager.cpp
   coverproxy.cpp
   dbuscollectionproxy.cpp
   deletedialog.cpp
   directorylist.cpp
   dynamicplaylist.cpp
   exampleoptions.cpp
   folderplaylist.cpp
   filehandle.cpp
   filerenamer.cpp
   filerenameroptions.cpp
   filerenamerconfigdlg.cpp
   webimagefetcher.cpp
   historyplaylist.cpp
   juk.cpp
   keydialog.cpp
   lyricswidget.cpp
   main.cpp
   mediafiles.cpp
   mpris2/mediaplayer2.cpp
   mpris2/mediaplayer2player.cpp
   mpris2/mpris2.cpp
   musicbrainzquery.cpp
   nowplaying.cpp
   playermanager.cpp
   playlist.cpp
   playlistbox.cpp
   playlistcollection.cpp
   playlistinterface.cpp
   playlistitem.cpp
   playlistsearch.cpp
   playlistsharedsettings.cpp
   playlistsplitter.cpp
   scrobbler.cpp
   scrobbleconfigdlg.cpp
   searchplaylist.cpp
   searchwidget.cpp
   slideraction.cpp
   statuslabel.cpp
   stringshare.cpp
   systemtray.cpp
   tag.cpp
   tageditor.cpp
   tagguesser.cpp
   tagguesserconfigdlg.cpp
   tagrenameroptions.cpp
   tagtransactionmanager.cpp
   tracksequenceiterator.cpp
   tracksequencemanager.cpp
   treeviewitemplaylist.cpp
   upcomingplaylist.cpp
   ktrm.cpp
   viewmode.cpp )

ecm_qt_declare_logging_category(juk_SRCS HEADER juk_debug.h
                                IDENTIFIER JUK_LOG CATEGORY_NAME org.kde.juk)

qt5_add_dbus_adaptor( juk_SRCS org.kde.juk.collection.xml
    dbuscollectionproxy.h DBusCollectionProxy )
qt5_add_dbus_adaptor( juk_SRCS org.kde.juk.player.xml playermanager.h PlayerManager)
qt5_add_dbus_adaptor( juk_SRCS org.kde.juk.search.xml searchwidget.h SearchWidget)


ki18n_wrap_ui(juk_SRCS
	filerenamerbase.ui
	filerenameroptionsbase.ui
	directorylistbase.ui
	trackpickerdialogbase.ui
	tagguesserconfigdlgwidget.ui
	exampleoptionsbase.ui
	coverdialogbase.ui
	deletedialogbase.ui
	tageditor.ui
)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/*-apps-juk.png")
ecm_add_app_icon(juk_SRCS ICONS ${ICONS_SRCS})
add_executable(juk ${juk_SRCS})

kde_target_enable_exceptions(juk PRIVATE)
target_compile_definitions(juk PRIVATE QT_USE_QSTRINGBUILDER)

if(NOT MSVC AND NOT ( WIN32 AND "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel" ) )
    set( LIBMATH m )
endif()

target_link_libraries(juk ${LIBMATH} Qt5::Gui Qt5::Svg Qt5::Widgets
    Qt5::Network KF5::ConfigCore KF5::CoreAddons KF5::Completion KF5::Crash KF5::GlobalAccel
    KF5::KIOCore KF5::KIOWidgets KF5::KIOFileWidgets KF5::JobWidgets KF5::Notifications
    KF5::I18n KF5::IconThemes KF5::TextWidgets KF5::XmlGui KF5::WindowSystem
    KF5::WidgetsAddons KF5::Wallet Phonon::phonon4qt5 ${TAGLIB_LIBRARIES})

if(TUNEPIMP_FOUND)
    target_link_libraries(juk ${TUNEPIMP_LIBRARIES})
endif(TUNEPIMP_FOUND)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

install(TARGETS juk  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS org.kde.juk.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES juk.notifyrc jukui.rc jukui-rtl.rc  DESTINATION  ${KXMLGUI_INSTALL_DIR}/juk )
install( FILES org.kde.juk.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )
install( FILES jukservicemenu.desktop  DESTINATION
${SERVICES_INSTALL_DIR}/ServiceMenus )
install( FILES org.kde.juk.collection.xml org.kde.juk.player.xml org.kde.juk.search.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )

ecm_install_icons(ICONS
    128-apps-juk.png
    16-apps-juk.png
    32-apps-juk.png
    48-apps-juk.png
    64-apps-juk.png
    DESTINATION ${ICON_INSTALL_DIR}
    THEME hicolor
)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== pics/CMakeLists.txt ===

install( FILES theme.svg playing.png DESTINATION  ${DATA_INSTALL_DIR}/juk/pics )

=== debian/changelog ===
juk (4:18.08.1-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:26:00 +0800

juk (4:18.08.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes required.
  * Remove empty line at the end of changelog.

 -- Pino Toscano <pino@debian.org>  Sat, 08 Sep 2018 12:25:23 +0200

juk (4:18.04.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Bump Standards-Version to 4.1.4, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 23 Apr 2018 06:51:23 +0200

juk (4:17.12.2-1) unstable; urgency=medium

  * New upstream release:
    - switches to Qt5/KF5 (Closes: #874919)
  * Update the build dependencies following the port to Frameworks:
    - remove kde-sc-dev-latest, kdelibs5-dev, and libphonon-dev
    - add extra-cmake-modules, qtbase5-dev, libqt5svg5-dev,
      libkf5completion-dev, libkf5config-dev, libkf5coreaddons-dev,
      libkf5crash-dev, libkf5doctools-dev, libkf5globalaccel-dev,
      libkf5i18n-dev, libkf5iconthemes-dev, libkf5jobwidgets-dev,
      libkf5kio-dev, libkf5notifications-dev, libkf5textwidgets-dev,
      libkf5wallet-dev, libkf5widgetsaddons-dev, libkf5windowsystem-dev,
      libkf5xmlgui-dev, libphonon4qt5-dev, and libphonon4qt5experimental-dev
  * Use the right makefile class:
    - use debian-qt-kde.mk v3
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Use https for Format in copyright.
  * Break/replace against kde-l10n that ships translations.
  * Enable the test suite, which should work.
  * Remove the autopkgtests, since the test suite is run at build time now.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Feb 2018 21:14:40 +0100

juk (4:17.08.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove trailing whitespaces in changelog.
  * Remove the unused libsoprano-dev build dependency.

 -- Pino Toscano <pino@debian.org>  Thu, 11 Jan 2018 09:15:49 +0100

=== debian/control ===
Source: juk
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.35.0~),
               libkf5completion-dev (>= 5.35.0~),
               libkf5config-dev (>= 5.35.0~),
               libkf5coreaddons-dev (>= 5.35.0~),
               libkf5crash-dev (>= 5.35.0~),
               libkf5doctools-dev (>= 5.35.0~),
               libkf5globalaccel-dev (>= 5.35.0~),
               libkf5i18n-dev (>= 5.35.0~),
               libkf5iconthemes-dev (>= 5.35.0~),
               libkf5jobwidgets-dev (>= 5.35.0~),
               libkf5kio-dev (>= 5.35.0~),
               libkf5notifications-dev (>= 5.35.0~),
               libkf5textwidgets-dev (>= 5.35.0~),
               libkf5wallet-dev (>= 5.35.0~),
               libkf5widgetsaddons-dev (>= 5.35.0~),
               libkf5windowsystem-dev (>= 5.35.0~),
               libkf5xmlgui-dev (>= 5.35.0~),
               libopusfile-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.6.0~),
               libtag1-dev (>= 1.6),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6.0~),
Standards-Version: 4.2.1
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/juk
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/juk.git

Package: juk
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: k3b
Breaks: ${kde-l10n:all}, kdemultimedia-dev (<< 4:4.10)
Replaces: ${kde-l10n:all}, kdemultimedia-dev (<< 4:4.10)
Description: music jukebox / music player
 JuK is a powerful music player capable of managing a large music collection.
 .
 Some of JuK's features include:
  * Music collection, playlists, and smart playlists
  * Tag editing support, including the ability to edit multiple files at once
  * Tag-based music file organization and renaming
  * CD burning support using k3b
  * Album art using Google Image Search
 .
 This package is part of the KDE multimedia module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.08.3-4~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

## juk 18.12.3

=== debian/changelog ===
juk (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:25:17 +0000

juk (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:12:40 +0000

juk (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:08:08 +0000

juk (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:46:47 +0000

juk (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.08.3-0ubuntu3~
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 14 Dec 2018 08:24:30 +0000

=== debian/control ===
--- 
+++ 
@@ -33,8 +33,8 @@
                qtbase5-dev (>= 5.6.0~),
 Standards-Version: 4.2.1
 Homepage: http://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/juk
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/juk.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
 
 Package: juk
 Section: sound

## juk 19.04.3

=== debian/changelog ===
juk (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:10:55 +0100

juk (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:00:12 +0100

juk (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:54:57 +0100

juk (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:40:20 +0100

## juk 19.12.0

=== debian/changelog ===
juk (4:19.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to the new release-service location.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - add libkf5dbusaddons-dev
  * Bump Standards-Version to 4.4.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Jan 2020 22:04:14 +0100

juk (4:19.08.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Drop the kdemultimedia-dev breaks/replaces, not needed after more than two
    Debian stable versions.
  * Explicitly add the gettext build dependency.

 -- Pino Toscano <pino@debian.org>  Thu, 26 Sep 2019 23:06:14 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,12 @@
 Build-Depends: cmake,
                debhelper (>= 11~),
                extra-cmake-modules (>= 5.35.0~),
+               gettext,
                libkf5completion-dev (>= 5.35.0~),
                libkf5config-dev (>= 5.35.0~),
                libkf5coreaddons-dev (>= 5.35.0~),
                libkf5crash-dev (>= 5.35.0~),
+               libkf5dbusaddons-dev (>= 5.35.0~),
                libkf5doctools-dev (>= 5.35.0~),
                libkf5globalaccel-dev (>= 5.35.0~),
                libkf5i18n-dev (>= 5.35.0~),
@@ -31,18 +33,18 @@
                libtag1-dev (>= 1.6),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.6.0~),
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/juk
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/juk.git
 
 Package: juk
 Section: sound
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: k3b
-Breaks: ${kde-l10n:all}, kdemultimedia-dev (<< 4:4.10)
-Replaces: ${kde-l10n:all}, kdemultimedia-dev (<< 4:4.10)
+Breaks: ${kde-l10n:all},
+Replaces: ${kde-l10n:all},
 Description: music jukebox / music player
  JuK is a powerful music player capable of managing a large music collection.
  .

## juk 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 # KDE Application Version, managed by KDE release team automatically
 # https://community.kde.org/Guidelines_and_HOWTOs/Application_Versioning
-set (KDE_APPLICATIONS_VERSION_MAJOR "18")
-set (KDE_APPLICATIONS_VERSION_MINOR "08")
-set (KDE_APPLICATIONS_VERSION_MICRO "1")
+set (KDE_APPLICATIONS_VERSION_MAJOR "19")
+set (KDE_APPLICATIONS_VERSION_MINOR "12")
+set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 project(juk VERSION ${KDE_APPLICATIONS_VERSION})
@@ -25,10 +25,26 @@
 include(ECMAddAppIcon)
 include(ECMQtDeclareLoggingCategory)
 
-find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Gui Svg Network Test Widgets)
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Completion Config Crash GlobalAccel
-	I18n IconThemes DocTools KIO JobWidgets Notifications TextWidgets XmlGui Wallet
-	WidgetsAddons WindowSystem)
+find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Concurrent Gui Svg Network Test Widgets)
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
+    CoreAddons
+    Completion
+    Config
+    Crash
+    GlobalAccel
+    I18n
+    IconThemes
+    DBusAddons
+    DocTools
+    KIO
+    JobWidgets
+    Notifications
+    TextWidgets
+    XmlGui
+    Wallet
+    WidgetsAddons
+    WindowSystem
+)
 find_package(Phonon4Qt5 4.6.60 REQUIRED NO_MODULE)
 
 find_package(Taglib 1.6 REQUIRED)
@@ -39,7 +55,7 @@
 add_subdirectory( tests )
 add_subdirectory( pics )
 
-set_package_properties(FEATURE PROPERTIES DESCRIPTION "A library for developing MusicBrainz enabled tagging applications" URL "http://www.musicbrainz.org/products/tunepimp" TYPE OPTIONAL PURPOSE "Provides MusicBrainz tagging in Juk.")
+#set_package_properties(FEATURE PROPERTIES DESCRIPTION "A library for developing MusicBrainz enabled tagging applications" URL "http://www.musicbrainz.org/products/tunepimp" TYPE OPTIONAL PURPOSE "Provides MusicBrainz tagging in Juk.")
 
 # TODO: tunepimp is fully unsupported, replace this when tunepimp is replaced
 # with whatever is actually current this decade.
@@ -47,7 +63,7 @@
 
 ########### next target ###############
 
-include_directories( ${TAGLIB_INCLUDES} )
+include_directories( SYSTEM ${TAGLIB_INCLUDES} )
 add_definitions(-DQT_STL -DQT_NO_URL_CAST_FROM_STRING)
 
 # Look for Ogg Opus support in taglib (not released yet)
@@ -58,13 +74,7 @@
 
 configure_file (config-juk.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-juk.h )
 
-set(tunepimp_SRCS)
-if(TUNEPIMP_FOUND)
-	set(tunepimp_SRCS trackpickerdialog.cpp)
-	include_directories( ${TUNEPIMP_INCLUDE_DIR} )
-endif(TUNEPIMP_FOUND)	
-
-set(juk_SRCS  ${tunepimp_SRCS}
+set(juk_SRCS
    advancedsearchdialog.cpp
    slider.cpp
    svghandler.cpp
@@ -81,6 +91,7 @@
    dbuscollectionproxy.cpp
    deletedialog.cpp
    directorylist.cpp
+   directoryloader.cpp
    dynamicplaylist.cpp
    exampleoptions.cpp
    folderplaylist.cpp
@@ -91,6 +102,7 @@
    webimagefetcher.cpp
    historyplaylist.cpp
    juk.cpp
+   juktag.cpp
    keydialog.cpp
    lyricswidget.cpp
    main.cpp
@@ -98,7 +110,6 @@
    mpris2/mediaplayer2.cpp
    mpris2/mediaplayer2player.cpp
    mpris2/mpris2.cpp
-   musicbrainzquery.cpp
    nowplaying.cpp
    playermanager.cpp
    playlist.cpp
@@ -117,7 +128,6 @@
    statuslabel.cpp
    stringshare.cpp
    systemtray.cpp
-   tag.cpp
    tageditor.cpp
    tagguesser.cpp
    tagguesserconfigdlg.cpp
@@ -127,7 +137,6 @@
    tracksequencemanager.cpp
    treeviewitemplaylist.cpp
    upcomingplaylist.cpp
-   ktrm.cpp
    viewmode.cpp )
 
 ecm_qt_declare_logging_category(juk_SRCS HEADER juk_debug.h
@@ -140,15 +149,14 @@
 
 
 ki18n_wrap_ui(juk_SRCS
-	filerenamerbase.ui
-	filerenameroptionsbase.ui
-	directorylistbase.ui
-	trackpickerdialogbase.ui
-	tagguesserconfigdlgwidget.ui
-	exampleoptionsbase.ui
-	coverdialogbase.ui
-	deletedialogbase.ui
-	tageditor.ui
+    filerenamerbase.ui
+    filerenameroptionsbase.ui
+    directorylistbase.ui
+    tagguesserconfigdlgwidget.ui
+    exampleoptionsbase.ui
+    coverdialogbase.ui
+    deletedialogbase.ui
+    tageditor.ui
 )
 
 file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/*-apps-juk.png")
@@ -162,11 +170,32 @@
     set( LIBMATH m )
 endif()
 
-target_link_libraries(juk ${LIBMATH} Qt5::Gui Qt5::Svg Qt5::Widgets
-    Qt5::Network KF5::ConfigCore KF5::CoreAddons KF5::Completion KF5::Crash KF5::GlobalAccel
-    KF5::KIOCore KF5::KIOWidgets KF5::KIOFileWidgets KF5::JobWidgets KF5::Notifications
-    KF5::I18n KF5::IconThemes KF5::TextWidgets KF5::XmlGui KF5::WindowSystem
-    KF5::WidgetsAddons KF5::Wallet Phonon::phonon4qt5 ${TAGLIB_LIBRARIES})
+target_link_libraries(juk ${LIBMATH}
+    Qt5::Gui
+    Qt5::Svg
+    Qt5::Widgets
+    Qt5::Network
+    KF5::ConfigCore
+    KF5::CoreAddons
+    KF5::Completion
+    KF5::Crash
+    KF5::DBusAddons
+    KF5::GlobalAccel
+    KF5::KIOCore
+    KF5::KIOWidgets
+    KF5::KIOFileWidgets
+    KF5::JobWidgets
+    KF5::Notifications
+    KF5::I18n
+    KF5::IconThemes
+    KF5::TextWidgets
+    KF5::XmlGui
+    KF5::WindowSystem
+    KF5::WidgetsAddons
+    KF5::Wallet
+    Phonon::phonon4qt5
+    ${TAGLIB_LIBRARIES}
+)
 
 if(TUNEPIMP_FOUND)
     target_link_libraries(juk ${TUNEPIMP_LIBRARIES})
@@ -180,7 +209,12 @@
 ########### install files ###############
 
 install( PROGRAMS org.kde.juk.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
-install( FILES juk.notifyrc jukui.rc jukui-rtl.rc  DESTINATION  ${KXMLGUI_INSTALL_DIR}/juk )
+install( FILES jukui.rc jukui-rtl.rc  DESTINATION  ${KXMLGUI_INSTALL_DIR}/juk )
+install(
+    FILES juk.notifyrc
+    DESTINATION ${KNOTIFYRC_INSTALL_DIR}
+)
+
 install( FILES org.kde.juk.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )
 install( FILES jukservicemenu.desktop  DESTINATION
 ${SERVICES_INSTALL_DIR}/ServiceMenus )

=== debian/changelog ===
juk (4:19.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream bugfix release (19.12.3).
  * Switch from dhmk to dh --with kf5.
  * Add signature check of upstream tarball to watch file, borrow minimal
    upstream signing key from k3b.
  * Use new upstream project homepage in control file.
  * Bump Standards-Version to 4.5.0:
    - Add Rules-Requires-Root: no.
  * Switch to debhelper-compat build dependency, bump compatibility level to
    12.
  * Add hardening=+all build hardening flag.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 08 Mar 2020 23:55:10 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
                extra-cmake-modules (>= 5.35.0~),
                gettext,
                libkf5completion-dev (>= 5.35.0~),
@@ -33,10 +33,11 @@
                libtag1-dev (>= 1.6),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.6.0~),
-Standards-Version: 4.4.1
-Homepage: http://www.kde.org/
+Standards-Version: 4.5.0
+Homepage: https://juk.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/juk
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/juk.git
+Rules-Requires-Root: no
 
 Package: juk
 Section: sound

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

l10npkgs_firstversion_ok := 4:17.08.3-4~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_gencontrol-arch: l10npkgs_firstversion_ok
	dh_gencontrol -a

## juk 20.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,18 +2,18 @@
 
 # KDE Application Version, managed by KDE release team automatically
 # https://community.kde.org/Guidelines_and_HOWTOs/Application_Versioning
-set (KDE_APPLICATIONS_VERSION_MAJOR "19")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "3")
-set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
-
-project(juk VERSION ${KDE_APPLICATIONS_VERSION})
+set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
+
+project(juk VERSION ${RELEASE_SERVICE_VERSION})
 
 set(QT_MIN_VERSION "5.6.0")
 set(KF5_MIN_VERSION "5.35.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
+set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})
 
 include(CMakePushCheckState)
 include(CheckIncludeFileCXX)
@@ -55,7 +55,7 @@
 add_subdirectory( tests )
 add_subdirectory( pics )
 
-#set_package_properties(FEATURE PROPERTIES DESCRIPTION "A library for developing MusicBrainz enabled tagging applications" URL "http://www.musicbrainz.org/products/tunepimp" TYPE OPTIONAL PURPOSE "Provides MusicBrainz tagging in Juk.")
+#set_package_properties(FEATURE PROPERTIES DESCRIPTION "A library for developing MusicBrainz enabled tagging applications" URL "https://wiki.musicbrainz.org/History:libtunepimp" TYPE OPTIONAL PURPOSE "Provides MusicBrainz tagging in Juk.")
 
 # TODO: tunepimp is fully unsupported, replace this when tunepimp is replaced
 # with whatever is actually current this decade.
@@ -205,6 +205,10 @@
 
 install(TARGETS juk  ${INSTALL_TARGETS_DEFAULT_ARGS} )
 
+if(Qt5Widgets_VERSION VERSION_LESS "5.13.0")
+    find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS ItemModels)
+    target_link_libraries(juk KF5::ItemModels)
+endif(Qt5Widgets_VERSION VERSION_LESS "5.13.0")
 
 ########### install files ###############

=== debian/changelog ===
juk (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:49:30 +0100

juk (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:43:22 +0100

juk (4:20.04.3-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 01 Aug 2020 08:47:50 +0200

juk (4:20.04.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - add libkf5itemmodels-dev

 -- Pino Toscano <pino@debian.org>  Sat, 25 Apr 2020 15:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
                libkf5globalaccel-dev (>= 5.35.0~),
                libkf5i18n-dev (>= 5.35.0~),
                libkf5iconthemes-dev (>= 5.35.0~),
+               libkf5itemmodels-dev (>= 5.35.0~),
                libkf5jobwidgets-dev (>= 5.35.0~),
                libkf5kio-dev (>= 5.35.0~),
                libkf5notifications-dev (>= 5.35.0~),

## juk 20.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,13 @@
 # KDE Application Version, managed by KDE release team automatically
 # https://community.kde.org/Guidelines_and_HOWTOs/Application_Versioning
 set (RELEASE_SERVICE_VERSION_MAJOR "20")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(juk VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION "5.6.0")
+set(QT_MIN_VERSION "5.10.0")
 set(KF5_MIN_VERSION "5.35.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

=== debian/changelog ===
juk (4:20.12.3-1) unstable; urgency=medium

  * Refresh copyright information.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.
  * Update upstream release signing key.
  * New upstream release (20.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 08 Mar 2021 22:18:06 +0100

juk (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Bump Standards-Version to 4.5.1, no change required.
  * Update the build dependencies according to the upstream build system:
    - Qt >= 5.10
  * Bump debhelper compatibility level to 13.
  * Update project homepage.
  * Refresh upstream metadata:
    - add Bug-Database and Bug-Submit
    - drop Contact and Name fields already present in machine readable
      copyright
    - move VCS URLs to invent.kde.org
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 14 Dec 2020 23:23:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Pino Toscano <pino@debian.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Pino Toscano <pino@debian.org>,
            Sune Vuorela <sune@debian.org>,
-           Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.35.0~),
                gettext,
                libkf5completion-dev (>= 5.35.0~),
@@ -30,11 +30,11 @@
                libopusfile-dev,
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
-               libqt5svg5-dev (>= 5.6.0~),
+               libqt5svg5-dev (>= 5.10.0~),
                libtag1-dev (>= 1.6),
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.6.0~),
-Standards-Version: 4.5.0
+               qtbase5-dev (>= 5.10.0~),
+Standards-Version: 4.5.1
 Homepage: https://juk.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/juk
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/juk.git

## juk 21.08.0

=== debian/changelog ===
juk (4:21.08.0-1deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:50:21 +0800

juk (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:45:37 +0900

juk (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Add myself to uploaders.
  * Update dependencies from cmake.
  * Drop Kubuntu from maintainer name.

 -- Norbert Preining <norbert@preining.info>  Fri, 23 Apr 2021 13:57:21 +0900

=== debian/control ===
Source: juk
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.1~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.72.0~),
               gettext,
               libkf5completion-dev (>= 5.72.0~),
               libkf5config-dev (>= 5.72.0~),
               libkf5coreaddons-dev (>= 5.72.0~),
               libkf5crash-dev (>= 5.72.0~),
               libkf5dbusaddons-dev (>= 5.72.0~),
               libkf5doctools-dev (>= 5.72.0~),
               libkf5globalaccel-dev (>= 5.72.0~),
               libkf5i18n-dev (>= 5.72.0~),
               libkf5iconthemes-dev (>= 5.72.0~),
               libkf5itemmodels-dev (>= 5.72.0~),
               libkf5jobwidgets-dev (>= 5.72.0~),
               libkf5kio-dev (>= 5.72.0~),
               libkf5notifications-dev (>= 5.72.0~),
               libkf5textwidgets-dev (>= 5.72.0~),
               libkf5wallet-dev (>= 5.72.0~),
               libkf5widgetsaddons-dev (>= 5.72.0~),
               libkf5windowsystem-dev (>= 5.72.0~),
               libkf5xmlgui-dev (>= 5.72.0~),
               libopusfile-dev,
               libphonon4qt5-dev (>= 4.6.60~),
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.10.0~),
               libtag1-dev (>= 1.6),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.10.0~),
Standards-Version: 4.5.1
Homepage: https://juk.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/juk
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/juk.git
Rules-Requires-Root: no

Package: juk
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: k3b
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: music jukebox / music player
 JuK is a powerful music player capable of managing a large music collection.
 .
 Some of JuK's features include:
  * Music collection, playlists, and smart playlists
  * Tag editing support, including the ability to edit multiple files at once
  * Tag-based music file organization and renaming
  * CD burning support using k3b
  * Album art using Google Image Search
 .
 This package is part of the KDE multimedia module.

## juk 21.08.1

=== debian/changelog ===
juk (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:30:25 +0100

juk (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:58:33 +0100

juk (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:51:03 +0100

juk (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:30:47 +0100

juk (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:39:21 +0100

juk (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:35:39 +0100

juk (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:02:34 +0100

juk (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)
  * Build depend on pkg-config.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:30:21 +0100

=== debian/control ===
Source: juk
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.35.0~),
               gettext,
               libkf5completion-dev (>= 5.35.0~),
               libkf5config-dev (>= 5.35.0~),
               libkf5coreaddons-dev (>= 5.35.0~),
               libkf5crash-dev (>= 5.35.0~),
               libkf5dbusaddons-dev (>= 5.35.0~),
               libkf5doctools-dev (>= 5.35.0~),
               libkf5globalaccel-dev (>= 5.35.0~),
               libkf5i18n-dev (>= 5.35.0~),
               libkf5iconthemes-dev (>= 5.35.0~),
               libkf5itemmodels-dev (>= 5.35.0~),
               libkf5jobwidgets-dev (>= 5.35.0~),
               libkf5kio-dev (>= 5.35.0~),
               libkf5notifications-dev (>= 5.35.0~),
               libkf5textwidgets-dev (>= 5.35.0~),
               libkf5wallet-dev (>= 5.35.0~),
               libkf5widgetsaddons-dev (>= 5.35.0~),
               libkf5windowsystem-dev (>= 5.35.0~),
               libkf5xmlgui-dev (>= 5.35.0~),
               libopusfile-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.10.0~),
               libtag1-dev (>= 1.6),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.10.0~),
Standards-Version: 4.5.1
Homepage: https://juk.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/juk
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/juk.git
Rules-Requires-Root: no

Package: juk
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: k3b
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: music jukebox / music player
 JuK is a powerful music player capable of managing a large music collection.
 .
 Some of JuK's features include:
  * Music collection, playlists, and smart playlists
  * Tag editing support, including the ability to edit multiple files at once
  * Tag-based music file organization and renaming
  * CD burning support using k3b
  * Album art using Google Image Search
 .
 This package is part of the KDE multimedia module.

## juk 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,16 @@
-cmake_minimum_required(VERSION 3.1 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by KDE release team automatically
 # https://community.kde.org/Guidelines_and_HOWTOs/Application_Versioning
-set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MAJOR "21")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
 set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(juk VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION "5.10.0")
-set(KF5_MIN_VERSION "5.35.0")
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_MIN_VERSION "5.83.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})
@@ -63,14 +63,7 @@
 
 ########### next target ###############
 
-include_directories( SYSTEM ${TAGLIB_INCLUDES} )
 add_definitions(-DQT_STL -DQT_NO_URL_CAST_FROM_STRING)
-
-# Look for Ogg Opus support in taglib (not released yet)
-cmake_push_check_state()
-set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${TAGLIB_INCLUDES})
-check_include_file_cxx(opusfile.h TAGLIB_HAS_OPUSFILE)
-cmake_pop_check_state()
 
 configure_file (config-juk.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-juk.h )
 
@@ -101,6 +94,7 @@
    filerenamerconfigdlg.cpp
    webimagefetcher.cpp
    historyplaylist.cpp
+   iconsupport.cpp
    juk.cpp
    juktag.cpp
    keydialog.cpp
@@ -133,8 +127,6 @@
    tagguesserconfigdlg.cpp
    tagrenameroptions.cpp
    tagtransactionmanager.cpp
-   tracksequenceiterator.cpp
-   tracksequencemanager.cpp
    treeviewitemplaylist.cpp
    upcomingplaylist.cpp
    viewmode.cpp )
@@ -165,12 +157,17 @@
 
 kde_target_enable_exceptions(juk PRIVATE)
 target_compile_definitions(juk PRIVATE QT_USE_QSTRINGBUILDER)
+set_target_properties(juk PROPERTIES
+    CXX_STANDARD 14
+    CXX_STANDARD_REQUIRED ON
+    )
 
 if(NOT MSVC AND NOT ( WIN32 AND "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel" ) )
     set( LIBMATH m )
 endif()
 
 target_link_libraries(juk ${LIBMATH}
+    Qt5::Concurrent
     Qt5::Gui
     Qt5::Svg
     Qt5::Widgets
@@ -194,7 +191,7 @@
     KF5::WidgetsAddons
     KF5::Wallet
     Phonon::phonon4qt5
-    ${TAGLIB_LIBRARIES}
+    Taglib::Taglib
 )
 
 if(TUNEPIMP_FOUND)
@@ -204,11 +201,6 @@
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 install(TARGETS juk  ${INSTALL_TARGETS_DEFAULT_ARGS} )
-
-if(Qt5Widgets_VERSION VERSION_LESS "5.13.0")
-    find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS ItemModels)
-    target_link_libraries(juk KF5::ItemModels)
-endif(Qt5Widgets_VERSION VERSION_LESS "5.13.0")
 
 ########### install files ###############

=== debian/changelog ===
juk (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:06:48 +0000

juk (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:13:18 +0000

juk (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:21:11 +0000

juk (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:17:59 +0000

juk (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:02:18 +0000

juk (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:13:32 +0000

juk (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:22:57 +0000

juk (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:36:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: juk
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
            Sune Vuorela <sune@debian.org>,
@@ -37,8 +38,8 @@
                qtbase5-dev (>= 5.10.0~),
 Standards-Version: 4.5.1
 Homepage: https://juk.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/juk
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/juk.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
 Rules-Requires-Root: no
 
 Package: juk

## juk 22.08.1

=== debian/changelog ===
juk (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:36:19 +0100

juk (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:46:40 +0100

juk (4:22.04.3-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Aug 2022 16:10:19 +0100

juk (4:22.04.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Drop commented bits in rules.
  * Explicitly add the pkg-config, used at cmake time.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Jul 2022 06:20:11 +0200

juk (4:22.04.3-0ubuntu2) UNRELEASED; urgency=medium

  * Update lintian overrides

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 28 Jul 2022 21:46:23 +0000

juk (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:23:55 +0100

juk (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:57:36 +0100

juk (4:22.04.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 03 Jun 2022 07:23:32 +0200

juk (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:54:32 +0100

juk (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:44:13 +0100

juk (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 22:27:35 +0100

juk (4:21.12.2-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.6.0, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.15.0
    - bump KF packages to 5.83.0
    - drop libkf5itemmodels-dev, no more needed

 -- Pino Toscano <pino@debian.org>  Sun, 27 Feb 2022 11:11:48 +0100

=== debian/control ===
Source: juk
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.85.0~),
               gettext,
               libkf5completion-dev (>= 5.85.0~),
               libkf5config-dev (>= 5.85.0~),
               libkf5coreaddons-dev (>= 5.85.0~),
               libkf5crash-dev (>= 5.85.0~),
               libkf5dbusaddons-dev (>= 5.85.0~),
               libkf5doctools-dev (>= 5.85.0~),
               libkf5globalaccel-dev (>= 5.85.0~),
               libkf5i18n-dev (>= 5.85.0~),
               libkf5iconthemes-dev (>= 5.85.0~),
               libkf5jobwidgets-dev (>= 5.85.0~),
               libkf5kio-dev (>= 5.85.0~),
               libkf5notifications-dev (>= 5.85.0~),
               libkf5textwidgets-dev (>= 5.85.0~),
               libkf5wallet-dev (>= 5.85.0~),
               libkf5widgetsaddons-dev (>= 5.85.0~),
               libkf5windowsystem-dev (>= 5.85.0~),
               libkf5xmlgui-dev (>= 5.85.0~),
               libopusfile-dev,
               libphonon4qt5-dev (>= 4.6.60~),
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.15.0~),
               libtag1-dev (>= 1.6),
               pkg-config,
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.1
Homepage: https://juk.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
Rules-Requires-Root: no

Package: juk
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: k3b
Description: music jukebox / music player
 JuK is a powerful music player capable of managing a large music collection.
 .
 Some of JuK's features include:
  * Music collection, playlists, and smart playlists
  * Tag editing support, including the ability to edit multiple files at once
  * Tag-based music file organization and renaming
  * CD burning support using k3b
  * Album art using Google Image Search
 .
 This package is part of the KDE multimedia module.
